Zum Hauptinhalt springen
PATCH
/
media-bridge
/
2026-03
/
objects
/
{objectId}
cURL
curl --request PATCH \
  --url https://api.hubapi.com/media-bridge/2026-03/objects/{objectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mediaType": "VIDEO",
  "duration": 123,
  "fileUrl": "<string>",
  "detailsPageLink": "<string>",
  "thumbnailUrl": "<string>",
  "posterUrl": "<string>",
  "externalId": "<string>",
  "oembedUrl": "<string>",
  "title": "<string>",
  "bearerToken": "<string>",
  "transcriptUrl": "<string>"
}
'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "mediaType": "AUDIO",
  "title": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "detailsPageLink": "<string>",
  "duration": 123,
  "externalId": "<string>",
  "fileUrl": "<string>",
  "oembedUrl": "<string>",
  "posterUrl": "<string>",
  "thumbnailUrl": "<string>",
  "video": {
    "deeplinkUrl": "<string>",
    "fileId": 123,
    "id": 123
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

objectId
integer<int64>
erforderlich

Body

application/json
mediaType
enum<string>
Standard:VIDEO
erforderlich
Verfügbare Optionen:
VIDEO
duration
integer<int64>
fileUrl
string
thumbnailUrl
string
posterUrl
string
externalId
string
oembedUrl
string
title
string
bearerToken
string
transcriptUrl
string

Antwort

successful operation

createdAt
string<date-time>
erforderlich
id
string
erforderlich
mediaType
enum<string>
erforderlich
Verfügbare Optionen:
AUDIO,
DOCUMENT,
IMAGE,
OTHER,
VIDEO
title
string
erforderlich
updatedAt
string<date-time>
erforderlich
duration
integer<int64>
externalId
string
fileUrl
string
oembedUrl
string
posterUrl
string
thumbnailUrl
string
video
object
Last modified on April 9, 2026